### Type parameters

- #### T: IAtomComponent

### Hierarchy

- IBinder

## Index

### Methods

- event
- oneTime
- oneWay
- presenter
- twoWays

## Methods

### event

- event(handler: function): any

- - Defined in src/core/Bind.ts:105

  #### Parameters

  - ##### handler: function

    - - (control: T, e?: CustomEvent): void

      - #### Parameters

        - ##### control: T

        - ##### Optional e: CustomEvent

        #### Returns void

  #### Returns any

### oneTime

- oneTime(path: bindingFunction<T>): Bind

- - Defined in src/core/Bind.ts:106

  #### Parameters

  - ##### path: bindingFunction<T>

  #### Returns Bind

### oneWay

- oneWay(path: bindingFunction<T>): Bind

- - Defined in src/core/Bind.ts:107

  #### Parameters

  - ##### path: bindingFunction<T>

  #### Returns Bind

### presenter

- presenter(name?: string): Bind

- - Defined in src/core/Bind.ts:104

  #### Parameters

  - ##### Optional name: string

  #### Returns Bind

### twoWays

- twoWays(path: bindingFunction<T>, events?: string[]): Bind

- - Defined in src/core/Bind.ts:108

  #### Parameters

  - ##### path: bindingFunction<T>

  - ##### Optional events: string[]

  #### Returns Bind

Generated using TypeDoc